<?php
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

// Incluye las librerías de PHPMailer
require 'PHPMailer/src/Exception.php';
require 'PHPMailer/src/PHPMailer.php';
require 'PHPMailer/src/SMTP.php'; // Si no usas Composer

// Conexión a la base de datos
$servidor = "localhost";
$usuario = "root"; // Cambia por tu usuario de MySQL
$contrasena = ""; // Cambia por tu contraseña de MySQL
$nombreBD = "registro"; // Nombre de tu base de datos

$conn = mysqli_connect($servidor, $usuario, $contrasena, $nombreBD);

// Verificar conexión
if (!$conn) {
    die("Conexión fallida: " . mysqli_connect_error());
}

// Obtener datos del formulario
$nombreCompleto = mysqli_real_escape_string($conn, $_POST['nombreCompleto']);
$telefono = mysqli_real_escape_string($conn, $_POST['telefono']);
$correoElectronico = mysqli_real_escape_string($conn, $_POST['correoElectronico']);
$contrasenaHashed = password_hash($_POST['contrasena'], PASSWORD_DEFAULT); // Hashear contraseña

$Correo_Verificado = 0;

// Generar un número aleatorio entre 1 y 999999
$numeroAleatorio = mt_rand(1, 999999);

// Asegurarse de que tenga 6 cifras, agregando ceros a la izquierda si es necesario
$Cod_Verificacion_Correo = str_pad($numeroAleatorio, 6, '0', STR_PAD_LEFT);

// Insertar datos en la base de datos
$sql = "INSERT INTO usuarios (nombre_completo,telefono,correo,contrasena,Cod_Verificacion_Correo,Correo_Verificado) VALUES ('$nombreCompleto','$telefono','$correoElectronico','$contrasenaHashed','$Cod_Verificacion_Correo','$Correo_Verificado')";

if (mysqli_query($conn, $sql)) {
    // Enviar correo electrónico
    $mail = new PHPMailer(true);

    try {
        // Configuración del servidor SMTP
        $mail->isSMTP();
        $mail->Host = 'mail.appunitecnica.com'; // Cambia por tu servidor SMTP
        $mail->SMTPAuth = true;
        $mail->Username = 'cacastano@appunitecnica.com';            // Tu usuario SMTP
        $mail->Password = 'Uni2024*';                    // Tu contraseña SMTP
        $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;  // Habilitar TLS
        $mail->Port = 465;

        // Destinatarios
        $mail->setFrom('cacastano@appunitecnica.com', 'Pepito Perez');
        $mail->addAddress($correoElectronico, $nombreCompleto); // Destinatario principal

        // Contenido del correo
        $mail->isHTML(true); // Establecer el formato del correo en HTML
        $mail->Subject = 'Bienvenido a la Plataforma';

        // Cuerpo del mensaje
        $mail->Body = '<strong>Bienvenido Navegante</strong><br><br>'
                    . 'Esta plataforma está hecha para que usted pueda llevar un inventario de su <strong>vehículo</strong>, '
                    . 'por tal motivo requerimos que sea validado su correo electrónico.<br><br>'
                    . '<h2>CÓDIGO VALIDACIÓN: <strong>'.$Cod_Verificacion_Correo.'</strong></h2>.<br><br>'
                    . 'Dar clic en el siguiente enlace:<br><br>'
                    . '<a href="https://www.google.com">https://www.google.com</a>';

        // Enviar el correo
        $mail->send();
        echo 'El mensaje ha sido enviado';
    } catch (Exception $e) {
        echo "No se pudo enviar el mensaje. Error de PHPMailer: {$mail->ErrorInfo}";
    }
} else {
    echo "Error: " . $sql . "<br>" . mysqli_error($conn);
}

// Cerrar conexión
mysqli_close($conn);
?>
